Page MenuHomePhabricator

Restore compat with 'LBFactory' type hint for \Wikimedia\Rdbms\LBFactory in 1.29
Closed, ResolvedPublic

Description

Doing a is_a($lbfactory, \LBFactory) no longer works in 1.29+. It seems \Wikimedia\Rdbms\LBFactory does not define a class_alias and while the use of namespaced classes is appreciated, please wait at least until the next LTS release before removing interfaces and classes otherwise you are inviting unnecessary failures for extensions that need to support 1.27+.

Event Timeline

mwjames created this task.May 10 2017, 3:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2017, 3:28 AM
Krinkle claimed this task.May 24 2017, 11:26 AM
Krinkle triaged this task as High priority.
Krinkle moved this task from Untriaged to General library on the Wikimedia-Rdbms board.
Krinkle renamed this task from 1.29+ / Class 'LBFactory' not found, type hint on \LBFactory no longer works and requires \Wikimedia\Rdbms\LBFactory instead to Restore compat with 'LBFactory' type hint for \Wikimedia\Rdbms\LBFactory in 1.29.May 24 2017, 11:29 AM

Change 355422 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] rdbms: Add compat alias for renamed LBFactory class

https://gerrit.wikimedia.org/r/355422

Change 355422 merged by jenkins-bot:
[mediawiki/core@master] rdbms: Add compat alias for renamed LBFactory class

https://gerrit.wikimedia.org/r/355422

Change 355610 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@REL1_29] rdbms: Add compat alias for renamed LBFactory class

https://gerrit.wikimedia.org/r/355610

Krinkle closed this task as Resolved.May 25 2017, 12:53 PM

Change 355610 merged by jenkins-bot:
[mediawiki/core@REL1_29] rdbms: Add compat alias for renamed LBFactory class

https://gerrit.wikimedia.org/r/355610

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Mass-moving all items tagged for MediaWiki 1.30.0-wmf.3, as that was never released; instead, we're using -wmf.4.